﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Text.RegularExpressions;

namespace E_Maill_Verfizierung
{
    public partial class Form1 : Form
    {
        Regex Email = new Regex("^[a-zA-Z0-9_.-]+@{1}[a-zA-Z0-9_.-]{2,}\\.[a-zA-Z]{2,4}$");

        public Form1()
        {
            InitializeComponent();
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            try
            {
                if (textBox1.Text != "")
                {
                    if (Email.IsMatch(textBox1.Text.ToString()))
                    {
                        label2.ForeColor = System.Drawing.Color.Green;
                        label2.Text = "Die eingegebene E-Mail Adresse ist richtig!";
                    }
                    else
                    {
                        label2.ForeColor = System.Drawing.Color.Red;
                        label2.Text = "Die eingegebene E-Mail Adresse ist nicht richtig!";
                    }
                }
                else
                {
                    label2.ForeColor = System.Drawing.Color.Blue;
                    label2.Text = "Geben Sie bitte eine E-Mail Adresse ein!";
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            label2.ForeColor = System.Drawing.Color.Blue;
            label2.Text = "Geben Sie bitte eine E-Mail Adresse ein!";
        }
    }
}